package net.ziemers.swxercise.lg.user.dto;

import javax.validation.constraints.NotNull;

/**
 * Das Data Transfer Object im Kontext der Rollen- und Rechteverwaltung. Es wird unter anderem auch aus einem
 * JSON-Objekt des {@link net.ziemers.swxercise.ui.RoleViewController}s gefüllt.
 *
 * Copyright (c) 2017 Dipl.-Inform. Thomas Ziemer
 *
 * This file is part of swXercise.
 *
 * swXercise is free software: you can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the Free Software Foundation, either version 3
 * of the License, or (at your option) any later version.
 *
 * swXercise is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
 * even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with swXercise.
 * If not, see <http://www.gnu.org/licenses/>.
 */
public class RoleDto {

    @NotNull
    private String name;

    @NotNull
    private String right;

    public String getName() { return name; }

    public RoleDto withName(final String name) {
        this.name = name;
        return this;
    }

    public String getRight() { return right; }

    public RoleDto withRight(final String right) {
        this.right = right;
        return this;
    }

}
