package net.ziemers.swxercise.lg.user.dto;

import net.ziemers.swxercise.lg.model.user.User;

import javax.validation.constraints.NotNull;

/**
 * Das Data Transfer Object im Kontext der Benutzerverwaltung. Es wird unter anderem auch aus einem
 * JSON-Objekt des {@link net.ziemers.swxercise.ui.UserViewController}s gefüllt.
 *
 * Copyright (c) 2017 Dipl.-Inform. Thomas Ziemer
 *
 * This file is part of swXercise.
 *
 * swXercise is free software: you can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the Free Software Foundation, either version 3
 * of the License, or (at your option) any later version.
 *
 * swXercise is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
 * even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with swXercise.
 * If not, see <http://www.gnu.org/licenses/>.
 */
public class UserDto {

    private User user = null;

    @NotNull
    private String username;    // aus dem Profile

    @NotNull
    private String password = "";    // aus dem Profile

    private String firstname;

    private String lastname;

    private String mailaddress; // aus dem Profile

    public User getUser() {
        return user;
    }

    public void setUser(User user) {
        this.user = user;
    }

    public String getUsername() {
        return username;
    }

    public UserDto withUsername(final String username) {
        this.username = username;
        return this;
    }

    public String getPassword() { return password; }

    public UserDto withPassword(final String password) {
        this.password = password;
        return this;
    }

    public String getFirstname() {
        return firstname;
    }

    public void setFirstname(String firstname) {
        this.firstname = firstname;
    }

    public UserDto withFirstname(final String firstname) {
        this.firstname = firstname;
        return this;
    }

    public String getLastname() {
        return lastname;
    }

    public void setLastname(String lastname) {
        this.lastname = lastname;
    }

    public UserDto withLastname(final String lastname) {
        this.lastname = lastname;
        return this;
    }

    public String getMailaddress() {
        return mailaddress;
    }

    public UserDto withMailaddress(final String mailaddress) {
        this.mailaddress = mailaddress;
        return this;
    }

}
