package net.ziemers.swxercise.lg.user.enums;

/**
 * Eine Enumeration aller jemals verwendeten Algorithmen zum Verhashen des Kennworts.
 *
 * Copyright (c) 2017 Dipl.-Inform. Thomas Ziemer
 *
 * This file is part of swXercise.
 *
 * swXercise is free software: you can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the Free Software Foundation, either version 3
 * of the License, or (at your option) any later version.
 *
 * swXercise is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
 * even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with swXercise.
 * If not, see <http://www.gnu.org/licenses/>.
 */
public enum PasswordHashAlgorithm {

    SHA512("SHA-512"),
    ;

    private String algorithm;

    PasswordHashAlgorithm(final String algorithm) {
        setAlgorithm(algorithm);
    }

    public String getAlgorithm() {
        return algorithm;
    }

    private void setAlgorithm(String algorithm) {
        this.algorithm = algorithm;
    }

}
