package net.ziemers.swxercise.lg.user.service;

import net.ziemers.swxercise.lg.model.user.User;
import net.ziemers.swxercise.lg.user.dto.UserDto;

import javax.ejb.Stateless;

/**
 * Service zum Erzeugen eines Mapping-Kontexts. Das Mapping verläuft von {@link User} nach {@link UserDto}.
 * Diese Klasse dient dazu, einen neuen Kontext zu erstellen, welcher dem {@link EntityToUserDtoMapper} dazu dient,
 * aus einer User-Entity ein entsprechendes DTO zu bauen.
 *
 * Copyright (c) 2017 Dipl.-Inform. Thomas Ziemer
 *
 * This file is part of swXercise.
 *
 * swXercise is free software: you can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the Free Software Foundation, either version 3
 * of the License, or (at your option) any later version.
 *
 * swXercise is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
 * even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with swXercise.
 * If not, see <http://www.gnu.org/licenses/>.
 */
@Stateless
public class EntityToUserDtoContextService {

    /**
     * Erzeugt einen Mapping-Kontext für einen neuen Benutzer.
     *
     * @return den Mapping-Kontext.
     */
    public EntityToUserDtoContext createContext() {
        final EntityToUserDtoContext ctx = new EntityToUserDtoContext();
        return ctx;
    }

}
