package net.ziemers.swxercise.lg.testdatabuilder.user;

import net.ziemers.swxercise.lg.model.user.Profile;
import net.ziemers.swxercise.lg.testdatabuilder.AbstractTestDataBuilder;

import javax.persistence.EntityManager;

/**
 * Copyright (c) 2017 Dipl.-Inform. Thomas Ziemer
 *
 * This file is part of swXercise.
 *
 * swXercise is free software: you can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the Free Software Foundation, either version 3
 * of the License, or (at your option) any later version.
 *
 * swXercise is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
 * even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with swXercise.
 * If not, see <http://www.gnu.org/licenses/>.
 */
public class ProfileTestDataBuilder extends AbstractTestDataBuilder<Profile> {

    private String username = "hbloed";

    private String password = "secret";

    private String mailaddress = "hbloed@ziemers.net";

    public ProfileTestDataBuilder(final EntityManager em) {
        super(em);
    }

    @Override
    public Profile build() {
        return new Profile(username, password)
                .withMailaddress(mailaddress);
    }

    public ProfileTestDataBuilder withUsername(final String username) {
        this.username = username;
        return this;
    }

    public ProfileTestDataBuilder withPassword(final String password) {
        this.password = password;
        return this;
    }

    public ProfileTestDataBuilder withMailaddress(final String mailaddress) {
        this.mailaddress = mailaddress;
        return this;
    }

}
