package net.ziemers.swxercise.lg.testdatabuilder.user;

import net.ziemers.swxercise.lg.testdatabuilder.AbstractTestDataBuilder;
import net.ziemers.swxercise.lg.user.dto.UserDto;

/**
 * Copyright (c) 2017 Dipl.-Inform. Thomas Ziemer
 *
 * This file is part of swXercise.
 *
 * swXercise is free software: you can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the Free Software Foundation, either version 3
 * of the License, or (at your option) any later version.
 *
 * swXercise is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
 * even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with swXercise.
 * If not, see <http://www.gnu.org/licenses/>.
 */
public class UserDtoTestDataBuilder extends AbstractTestDataBuilder<UserDto> {

    private String username = "hein";

    private String password = "secret";

    private String firstname = "Hein";

    private String lastname = "Blöd";

    private String mailaddress;

    @Override
    public UserDto build() {
        return new UserDto()
                .withUsername(username)
                .withPassword(password)
                .withFirstname(firstname)
                .withLastname(lastname)
                .withMailaddress(mailaddress);
    }

    public UserDtoTestDataBuilder withUsername(final String username) {
        this.username = username;
        return this;
    }

    public UserDtoTestDataBuilder withPassword(final String password) {
        this.password = password;
        return this;
    }

    public UserDtoTestDataBuilder withFirstname(final String firstname) {
        this.firstname = firstname;
        return this;
    }

    public UserDtoTestDataBuilder withLastname(final String lastname) {
        this.lastname = lastname;
        return this;
    }

    public UserDtoTestDataBuilder withMailaddr(final String mailaddress) {
        this.mailaddress = mailaddress;
        return this;
    }

}
