package net.ziemers.swxercise.lg.testdatabuilder.user;

import net.ziemers.swxercise.lg.model.user.Address;
import net.ziemers.swxercise.lg.model.user.Profile;
import net.ziemers.swxercise.lg.model.user.User;
import net.ziemers.swxercise.lg.testdatabuilder.AbstractTestDataBuilder;

import javax.persistence.EntityManager;

/**
 * Copyright (c) 2017 Dipl.-Inform. Thomas Ziemer
 *
 * This file is part of swXercise.
 *
 * swXercise is free software: you can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the Free Software Foundation, either version 3
 * of the License, or (at your option) any later version.
 *
 * swXercise is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
 * even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with swXercise.
 * If not, see <http://www.gnu.org/licenses/>.
 */
public class UserTestDataBuilder extends AbstractTestDataBuilder<User> {

    private String firstname = "Hein";

    private String lastname = "Blöd";

    private Profile profile;

    private Address address = null;

    public UserTestDataBuilder(final EntityManager em) {
        super(em);
        profile = new ProfileTestDataBuilder(em).build();
    }

    public UserTestDataBuilder() {
        this(null);
    }

    @Override
    public User build() {
        return new User(firstname, lastname)
                .withProfile(profile)
                .withAddress(address);
    }

    public UserTestDataBuilder withFirstname(final String firstname) {
        this.firstname = firstname;
        return this;
    }

    public UserTestDataBuilder withLastname(final String lastname) {
        this.lastname = lastname;
        return this;
    }

    public UserTestDataBuilder withProfile(final Profile profile) {
        this.profile = profile;
        return this;
    }

    public UserTestDataBuilder withAddress(final Address address) {
        this.address = address;
        return this;
    }

}

